Curtis

Curtis' Plugin Pack (Update for 3.5.4)

Recommended Posts

Pack doesn't work for me. When I want to use an effect, it says plugin error.

Error details:

Hidden Content:
File: D:\Programme\Paint.NET\Effects\CurtisBlack.Effects.dll

Name: CurtisBlack.Effects.Displacement.Displacement

Version: 1.1

Author: Curtis Black

Copyright: Copyright © 2008 Curtis Black

Website: http://paintdotnet.f...hp?f=16&t=22521

Full error message: System.TypeLoadException: Could not load type 'PaintDotNet.DocumentView' from assembly 'PaintDotNet.Data, Version=3.58.4081.24584, Culture=neutral, PublicKeyToken=null'.

at CurtisBlack.Effects.Displacement.DisplacementConfigDialog..ctor()

at CurtisBlack.Effects.Displacement.Displacement.CreateConfigDialog()

at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\pdn_35x\src\PaintDotNet\Menus\EffectMenuBase.cs:line 799

Share this post


Link to post
Share on other sites

You're using an old version of the plugin. Download the latest one from the first post in this thread. Make sure you get the one that says it's for Paint.NET 3.5.4, not 3.36.

Share this post


Link to post
Share on other sites

I'm trying to plot something simple using Equations: I write x*(x-2)

However, even scaling the x-axis to 500 and y to 20, I can't see both roots. If I try manually scaling (writing A*x*(x-2), in which A is some scaling constant) it still doesn't do the job.

How do I use the width/height command?

Share this post


Link to post
Share on other sites

So sad, these plugins are not working:

Channel Mask

Displacement Map

Blur Map

PDN v 3.5.9, W7, SP1

Hidden Content: Channel mask
File: C:\Program Files\Paint.NET\Effects\CurtisBlack.Effects.dll

Name: CurtisBlack.Effects.ChannelMask.ChannelMask

Version: 1.2

Author: Curtis Black

Copyright: Copyright © 2008 Curtis Black

Website: http://paintdotnet.forumer.com/viewtopic.php?f=16&t=22521

Full error message: System.TypeInitializationException: The type initializer for 'CurtisBlack.Common.PDNIO' threw an exception. ---> System.MethodAccessException: PaintDotNet.PdnInfo.get_ApplicationDir()

at CurtisBlack.Common.PDNIO.GetFileTypes()

--- End of inner exception stack trace ---

at CurtisBlack.Common.PDNIO.get_RecentFiles()

at CurtisBlack.Effects.ChannelMask.ChannelMaskConfigDialog.InitialInitToken()

at PaintDotNet.Effects.EffectConfigDialog.Constructor() in D:\src\pdn\pdn_35x\src\Effects\EffectConfigDialog.cs:line 113

at CurtisBlack.Effects.ChannelMask.ChannelMaskConfigDialog..ctor()

at CurtisBlack.Effects.ChannelMask.ChannelMask.CreateConfigDialog()

at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\pdn_35x\src\PaintDotNet\Menus\EffectMenuBase.cs:line 799

Hidden Content: Displacenemt Map
File: C:\Program Files\Paint.NET\Effects\CurtisBlack.Effects.dll

Name: CurtisBlack.Effects.Displacement.Displacement

Version: 1.1

Author: Curtis Black

Copyright: Copyright © 2008 Curtis Black

Website: http://paintdotnet.forumer.com/viewtopic.php?f=16&t=22521

Full error message: System.TypeInitializationException: The type initializer for 'CurtisBlack.Common.PDNIO' threw an exception. ---> System.MethodAccessException: PaintDotNet.PdnInfo.get_ApplicationDir()

at CurtisBlack.Common.PDNIO.GetFileTypes()

--- End of inner exception stack trace ---

at CurtisBlack.Common.PDNIO.get_RecentFiles()

at CurtisBlack.Effects.Displacement.DisplacementConfigDialog.InitialInitToken()

at PaintDotNet.Effects.EffectConfigDialog.Constructor() in D:\src\pdn\pdn_35x\src\Effects\EffectConfigDialog.cs:line 113

at CurtisBlack.Effects.Displacement.DisplacementConfigDialog..ctor()

at CurtisBlack.Effects.Displacement.Displacement.CreateConfigDialog()

at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\pdn_35x\src\PaintDotNet\Menus\EffectMenuBase.cs:line 799

Hidden Content: Blur Map
File: C:\Program Files\Paint.NET\Effects\CurtisBlack.Effects.dll

Name: CurtisBlack.Effects.BlurMap.BlurMap

Version: 1.0

Author: Curtis Black

Copyright: Copyright © 2008 Curtis Black

Website: http://paintdotnet.forumer.com/viewtopic.php?f=16&t=22521

Full error message: System.TypeInitializationException: The type initializer for 'CurtisBlack.Common.PDNIO' threw an exception. ---> System.MethodAccessException: PaintDotNet.PdnInfo.get_ApplicationDir()

at CurtisBlack.Common.PDNIO.GetFileTypes()

--- End of inner exception stack trace ---

at CurtisBlack.Common.PDNIO.get_RecentFiles()

at CurtisBlack.Effects.BlurMap.BlurMapConfigDialog.InitialInitToken()

at PaintDotNet.Effects.EffectConfigDialog.Constructor() in D:\src\pdn\pdn_35x\src\Effects\EffectConfigDialog.cs:line 113

at CurtisBlack.Effects.BlurMap.BlurMapConfigDialog..ctor()

at CurtisBlack.Effects.BlurMap.BlurMap.CreateConfigDialog()

at PaintDotNet.Menus.EffectMenuBase.RunEffectImpl(Type effectType) in D:\src\pdn\pdn_35x\src\PaintDotNet\Menus\EffectMenuBase.cs:line 799

Thanks for the great work.

Share this post


Link to post
Share on other sites

When I try to bring up the 'effects lab' for Curtis' Plugin Pack I get an error. The error says Has anyone else experienced this issue? I downloaded the 3.5.4 version. 

Share this post


Link to post
Share on other sites

Will there be an update for this when paint.net 4 is a public release and not an alpha? Effects lab is not currently working with V4 of pdn alpha build 5034.

Share this post


Link to post
Share on other sites

Yup.  This is a known issue.  It appears that some individual plugins and the common file CurtisBlack.Common.dll is incompatible with the latest release.

 

Rick is improving things with every release.  He mentioned that a number of previously incompatible plugins should now work with 4.0 .5168.  Unfortunately Curtis' plugins are not among them.

 

I'm keeping a list of such plugins here: http://forums.getpaint.net/index.php?/topic/27661-incompatible-plugins-an-incomplete-list/

Share this post


Link to post
Share on other sites

understood, thanks. do you guys think most of the broken plugins could work again if either they are updated or paint.net has more backwards compatibility built into it in the future?

 

and i'll check that list if i find any others.

Share this post


Link to post
Share on other sites

do you guys think most of the broken plugins could work again if either they are updated or paint.net has more backwards compatibility built into it in the future?

 

That is how it works. :)

Share this post


Link to post
Share on other sites

cool.

 

i've recently wanted to get back into making video game textures, and i tried several free image editors. some had potential but were no longer in development, others like gimp, are powerful but i personally don't like the interface. so i thought i'd try the new paint.net and i really like it's interface, it's uncluttered and polished looking, and as soon as i've found all the plugins i think i'd need, i'm looking forward to working with it, hopefully for several years to come.

Share this post


Link to post
Share on other sites

My version is 4.0.3 and I downloaded the plugin pack from Curtis to get the jumble but my PDN states a plug in error which is listed below:

 

CurtisBlack.Common.dll, version 1.0.3142.30104

Type: PaintDotNet.SystemLayer.IFileDialogUICallbacks
System.TypeLoadException: Could not load type 'PaintDotNet.SystemLayer.IFileDialogUICallbacks' from assembly 'PaintDotNet.SystemLayer, Version=3.511.4977.23442, Culture=neutral, PublicKeyToken=null'.

Type: PaintDotNet.SystemLayer.IFileTransferProgressEvents
System.TypeLoadException: Could not load type 'PaintDotNet.SystemLayer.IFileTransferProgressEvents' from assembly 'PaintDotNet.SystemLayer, Version=3.511.4977.23442, Culture=neutral, PublicKeyToken=null'.

 

 

I cannot get any of the plugins in this pack.  Help please.  Also to note, I checked the properties of the three dlls and there is no lock or unlock button.

 

Thanks

 

Cam

 

PS. . .should we roll back to an earlier version for the plugin to work?

Edited by camtom201

Share this post


Link to post
Share on other sites

This set of plugins are (mostly) incompatible with paint.net 4.x.  The author is still logging in to the forum, so we hope an update is going to happen.  Until then I suggest you remove the pack from your Effects folder and try to find a manual workaround.

Share this post


Link to post
Share on other sites

This set of plugins are (mostly) incompatible with paint.net 4.x.  The author is still logging in to the forum, so we hope an update is going to happen.  Until then I suggest you remove the pack from your Effects folder and try to find a manual workaround.

 

Thank you so much for the response.  I will remove accordingly and try find a different approach.

Share this post


Link to post
Share on other sites

This plug in pack isn't compatible with 4.0.6.

 

Most of the effects in this pack work fine in v4.0.6.

 

Pretty sure it's just the two marked in the first post that don't work.

Share this post


Link to post
Share on other sites

Most of the effects in this pack work fine in v4.0.6.

 

Pretty sure it's just the two marked in the first post that don't work.

I now have the plugins working.

Edited by mackenzieh

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.